<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.99 - 1.01) Entering macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) Exiting macro pre dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "2"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) In macro dual stream for vcm">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "3"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.99 - 1.01) macro stop dual stream">
        <condition name = "ZOOM_RATIO" min = "0.99" max = "1.01"/>
        <condition name = "MACRO_MODE" value = "4"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[0.0-0.6)">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "0.6"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[0.48-0.49) zoom_stop SCENE_CHANGE uw+w">
            <condition name = "ZOOM_RATIO" min = "0.48" max = "0.49"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[0.6-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
            <camera name = "wide"/>
        </outState>

        <rule name = "child rule: ZOOM[0.6-1.0) uw + w fov fusion">
            <condition name = "ZOOM_RATIO" min = "0.6" max = "1.0"/>
            <condition name = "SNAPSHOT_MODE"  value= "40"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "ZOOM[0.99) macro dual stream">
            <condition name = "ZOOM_RATIO" min = "0.99" max = "0.999"/>
            <condition name = "ZOOM_STATUS" min = "1" max = "4"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[0.6-1.0) ZOOM_STOP">
            <condition name = "ZOOM_STATUS" value = "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[1.0-2.0)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[1.0-1.01) zoom_stop SCENE_CHANGE w+t">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.0-2.50)">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>

        <rule name = "child rule: ZOOM[2.0-2.50), foremainQuadraAiraw">
            <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
            <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                  <camera name = "wide" prev = "true"/>
                  <camera name = "tele"/>
            </outState>
            <rule name = "child rule: ZOOM[2.0-2.50), ZOOM_STOP">
                <condition name = "ZOOM_RATIO" min = "2.0" max = "2.50"/>
                <condition name = "ZOOM_STATUS" value = "1"/>
                <condition name = "SCENE_MODE" value = "42"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                </outState>
            </rule>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0), foremainQuadraAiraw">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "100.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "290.0" hysteresis_max = "40.0"/>
        <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>

        <rule name = "child rule: ZOOM[2.50-5.0), foremainQuadraAiraw and  son zoom_in">
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), foremainQuadraAiraw and  son zoom_out">
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0), objDis lower than 300">
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "100.0"/>
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0), objDis lower than 300 dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0) LUX_INDEX < 400.0 and Distance > 500.0">
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "380.0" hysteresis_max = "20.0"/>
        <condition name = "OBJECT_DISTANCE" min = "500.0" max = "9999.0" hysteresis_min = "100.0"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 400.0 and Distance > 500.0 dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 400.0 and Distance > 500.0 and son zoom_out">
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[2.50-5.0), LUX_INDEX < 400.0 and Distance > 500.0 and son zoom_in">
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[2.50-5.0), father zoom_stop">
        <condition name = "ZOOM_STATUS"  value = "1"/>
        <condition name = "ZOOM_RATIO" min = "2.50" max = "5.0"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule: ZOOM[2.50-5.0), father zoom_stop streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[2.50-2.51) zoom_stop SCENE_CHANGE w+t">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "2.51"/>
            <condition name = "SCENE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5-10.0), foremainQuadraAiraw">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "300.0" hysteresis_max = "200.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "290.0" hysteresis_max = "40.0"/>
        <condition name = "FEATURE_UUID" value = "foremainQuadraAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </outState>

        <rule name = "child rule: ZOOM[5-10.0),foremainQuadraAiraw son t+w zoom_in">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5-10.0),foremainQuadraAiraw son t+w zoom_out">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule  name = "parent rule: ZOOM[5.0-10.0x) objDis lower than 300">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "300.0" hysteresis_max = "200.0"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule:  ZOOM[5.0-10.0x) objDis lower than 300 dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0x), foreteleQuadraAiraw">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
        <rule name = "child rule:  ZOOM[5.0-10.0x) foreteleQuadraAiraw dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[5.0-10.0),foreteleQuadraAiraw son t+w zoom_out">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0),foreteleQuadraAiraw son t+w zoom_in">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0x), foreteleQuadraLiteAiraw">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
        <rule name = "child rule:  ZOOM[5.0-10.0x) foreteleQuadraLiteAiraw dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[5.0-10.0),foreteleQuadraLiteAiraw son t+w zoom_out">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0),foreteleQuadraLiteAiraw son t+w zoom_in">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[5.0-10.0x) foreteleQuadraLiteAiraw objDis Far2Near dualStream">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <condition name = "DISTANCE_CHANGE" value= "1"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "wide"/>
        </outState>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0x) LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "LUX_INDEX" min = "0.0" max = "400.0" hysteresis_max = "20.0"/>
        <condition name = "OBJECT_DISTANCE" min = "500.0" max = "9999.0" hysteresis_min = "200.0"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
        <rule name = "child rule:  ZOOM[5.0-10.0x) LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0 dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "child rule: ZOOM[5.0-10.0),LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0 son t+w zoom_out">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "6"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[5.0-10.0),LUX_INDEX < 400 ,OBJECT_DISTANCE > 500.0 son t+w zoom_in">
            <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
            <condition name = "ZOOM_STATUS"  value = "5"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[5.0-10.0), father zoom_stop">
        <condition name = "ZOOM_RATIO" min = "5.0" max = "10.0"/>
        <condition name = "ZOOM_STATUS"  value = "1"/>
        <condition name = "SCENE_MODE" value = "42"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "child rule:  ZOOM[5.0-10.0x) father zoom_stop dual streams">
            <condition name = "DISTANCE_CHANGE" value= "1"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
    </rule>

    <rule name = "parent rule: ZOOM[10.0-100.0x)">
        <!-- default switch to wide -->
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>

        <rule name = "child rule: ZOOM[10-100.0x), foreteleQuadraAiraw">
            <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
            <condition name = "FEATURE_UUID" value = "foreteleQuadraAiraw"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
            </outState>
        </rule>

        <rule name = "child rule: ZOOM[10-100.0x), foreteleQuadraLiteAiraw">
            <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
            <condition name = "FEATURE_UUID" value = "foreteleQuadraLiteAiraw"/>
            <condition name = "SCENE_MODE" value = "42"/>
            <outState>
                <camera name = "tele" prev = "true"/>
            </outState>
        </rule>
    </rule>
</MultiCameraConfigTable>